loci.formats.in

## Class ColumbusReader.MeasurementHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.ColumbusReader.MeasurementHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    ColumbusReader

      class ColumbusReader.MeasurementHandler
      extends loci.common.xml.BaseHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `currentName`
    `private java.lang.StringBuffer` | `currentValue`
    `private java.lang.String` | `measurementID`
    `private java.lang.String` | `measurementName`
    `private java.lang.Integer` | `plateColumns`
    `private java.lang.String` | `plateName`
    `private java.lang.Integer` | `plateRows`
    `private java.lang.String` | `plateType`
    `private java.lang.String` | `screenName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeasurementHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `java.lang.String` | `getMeasurementID()`
    `java.lang.String` | `getMeasurementName()`
    `java.lang.Integer` | `getPlateColumns()`
    `java.lang.String` | `getPlateName()`
    `java.lang.Integer` | `getPlateRows()`
    `java.lang.String` | `getPlateType()`
    `java.lang.String` | `getScreenName()`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentName

          private java.lang.String currentName

    - #### screenName

          private java.lang.String screenName

    - #### plateName

          private java.lang.String plateName

    - #### plateType

          private java.lang.String plateType

    - #### measurementID

          private java.lang.String measurementID

    - #### measurementName

          private java.lang.String measurementName

    - #### plateRows

          private java.lang.Integer plateRows

    - #### plateColumns

          private java.lang.Integer plateColumns

    - #### currentValue

          private java.lang.StringBuffer currentValue

  - ### Constructor Detail

    - #### MeasurementHandler

          MeasurementHandler()

  - ### Method Detail

    - #### getScreenName

          public java.lang.String getScreenName()

    - #### getPlateName

          public java.lang.String getPlateName()

    - #### getPlateType

          public java.lang.String getPlateType()

    - #### getMeasurementID

          public java.lang.String getMeasurementID()

    - #### getMeasurementName

          public java.lang.String getMeasurementName()

    - #### getPlateRows

          public java.lang.Integer getPlateRows()

    - #### getPlateColumns

          public java.lang.Integer getPlateColumns()

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

Copyright © 2026 Open Microscopy Environment